# Import Reviews From CSV file

{% hint style="info" %}
**Good to known**: Importing reviews from a CSV file is a common and commonly used method for importing or exporting data. A2Reviews too, importing reviews from CSV is very easy with a few simple steps, follow this article to be able to import reviews on products on your website.
{% endhint %}

### Overview

First, you need to prepare a CSV file containing the data of the reviews, contains necessary data fields, such as author name, content, title, rating, product handle, ... There is one column you need to pay attention to, which is the product handle, which is the bridge to help the reviews display properly on the product you want. It should match the handle of the product you want to import the review into.

**Product handle in Shopify**

This is the tail end of your product's URL. For example, if your product appears on your online store at <https://a2reviews.myshopify.com/collections/frontpage/products/professional-makeup-brush-set>, then the `product_handle` is **professional-makeup-brush-set**.

![Product handle in Shopify](/files/YCxMlsGRAXMOasBWiV9O)

<table><thead><tr><th width="150">Column name</th><th>Description</th></tr></thead><tbody><tr><td>product_handle</td><td>This is the tail end of your product's URL. For example, if your product appears on your online store at https://a2reviews-shopify.com/products/blue-t-shirt, then the <code>product_handle</code> is <strong>blue-t-shirt</strong>.</td></tr><tr><td>rating</td><td>A score from 0-5, where 5 represents the most positive product review.</td></tr><tr><td>title</td><td>A short, bolded title summarizing the customer's experience. For example, "Awesome!"</td></tr><tr><td>author</td><td>The first and last name connected to the customer account that submitted the review.</td></tr><tr><td>email</td><td>The customer's email address.</td></tr><tr><td>country_code</td><td>The customer's address, such as their city and country.</td></tr><tr><td>content</td><td>A longer description of the customer's experience. They can elaborate on what they liked or did not like about your product.</td></tr><tr><td>images</td><td>It is an array containing image links, for example ["url1", "url2", "url3", ...] or url1, url2, url3, ....</td></tr><tr><td>created_at</td><td>The date and time when the product review was created by the customer.</td></tr></tbody></table>

### Import reviews from a CSV file

From A2Reviews app ([app.a2rev.com](https://app.a2rev.com/)) > **Products**  -  click on **Import Reviews From CSV** button > pick file via **Upload CSV** or **From History Upload.**

![Start import CSV reviews](/files/gzatqd8gxKsJQY1439s6)

#### Mapping fields step

In this step, the purpose is to connect the data fields with the reviews criteria in A2Reviews, drag the columns from the CSV header to the data fields that A2Reviews requires. And continue to the next step.

![Mapping fields step](/files/0he3kf8XRMDlhukK6CpU)

#### Edit reviews step

A2Reviews provides full tools for you to preview your reviews and modify them as you like before importing them into the database and displaying them outside.

![Edit reviews from CSV](/files/hOvMPj5rzIYM8e55egaH) ![Edit reviews from CSV (Click abled)](/files/DnfR9U6ebZItXtdKK9aQ)

![Expand review row](/files/sJr71eO6Ck4iPtByOn9K)

Once the reviews have been revised and are as expected we go to the final step to complete the import.

#### Finish step

In the last step, you need to pay attention to the option you want. There will be 3 options for you.

* **Skip**: If there is already a product with the same product handle on the system and there is a rating, it will be ignored.
* **Replace**: It will replace all reviews imported from the CSV, which will delete all existing old reviews.
* **Merge**: It will merge both the old reviews and the reviews from the CSV, the total of the reviews will be added from the 2 sources and the data will be preserved.

![Finish import reviews](/files/lKYGuTzWVkMtvVykfca1)

Click on "**Import Reviews**" button to finish


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.a2rev.com/my-reviews/import-reviews-from-csv-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
